Subject: Re: _argc & _argv
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Tue, 1 Aug 2000 18:21:36 -0800

On 1 Aug 2000, at 20:46, the Illustrious Chris Faylor wrote:

> On Tue, Aug 01, 2000 at 05:39:51PM -0800, Paul Garceau wrote: >Hi
> folks, > >   From what I can tell, the values noted in the
> subject line >are not defined as part of standard non-mingw32
> headers. > >   My question is, how does Cygwin deal with argc,
> argv  without >using mingw32 headers?
> 
> Like any UNIX program (or Windows program for that matter).  They
> are arguments to main:

	Yes, I know that...I also realize that these sound like foolish 
questions that only a newbie would ask...when working with three 
or four different compiler ports at any given time, they tend to 
get mixed up...

> 
> int main (int argc, char **argv);

	More specifically, is argc, argv defined with or w/o leading 
underscores for Cygwin when it comes to defining them for a 
main() routine?

   csMain (argc, argv); (Cygwin?)
   csMain (__argc, __argv); (Mingw/MS)
   csMain(_argc,_argv); (Borland)

	Thanks,

		Paul G.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]